com.independentsoft.exchange

## Class RetentionPolicyTag

- java.lang.Object
- - com.independentsoft.exchange.RetentionPolicyTag

-     public class RetentionPolicyTag
      extends java.lang.Object

  Contains information about the Retention Policy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetentionPolicyTag()` Instantiates a new retention policy tag.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentSettings` | `getContentSettings()` Gets the settings that control when items expire and the types of items that expire.
    `java.lang.String` | `getDescription()` Gets brief description of the policy tag.
    `java.lang.String` | `getDisplayName()` Gets name of the policy tag.
    `java.lang.String` | `getId()` Gets unique identity of the policy.
    `java.lang.String` | `getObjectGuid()` Gets unique identity for the object.
    `int` | `getPeriod()` Gets the number of days after which an item SHOULD expire under this policy.
    `RetentionAction` | `getRetentionAction()` Gets the retention action.
    `ElcFolderType` | `getType()` Gets the type of policy tag.
    `boolean` | `isArchive()` Checks if is archive.
    `boolean` | `isDefaultArchive()` Checks if is default archive.
    `boolean` | `isMustDisplayDescription()` Use this setting to determine whether the user can hide the retention comment.
    `boolean` | `isOptedInto()` Indicates whether the user voluntarily chose this tag for the mailbox or whether it was applied to the mailbox by the server administrator.
    `boolean` | `isVisible()` Use this setting to determine whether the policy tag is displayed in the list of tags available to the user.
    `void` | `setArchive(boolean isArchive)` Sets the archive.
    `void` | `setContentSettings(ContentSettings contentSettings)` Sets the settings that control when items expire and the types of items that expire.
    `void` | `setDefaultArchive(boolean isDefaultArchive)` Sets the default archive.
    `void` | `setDescription(java.lang.String description)` Sets brief description of the policy tag.
    `void` | `setDisplayName(java.lang.String displayName)` Sets the policy tag name.
    `void` | `setId(java.lang.String id)` Sets unique identity for the policy.
    `void` | `setMustDisplayDescription(boolean mustDisplayDescription)` Use this setting to determine whether the user can hide the retention comment.
    `void` | `setObjectGuid(java.lang.String objectGuid)` Sets unique identity for the object.
    `void` | `setOptedInto(boolean optedInto)` Indicates whether the user voluntarily chose this tag for the mailbox or whether it was applied to the mailbox by the server administrator.
    `void` | `setPeriod(int period)` Sets the number of days after which an item SHOULD expire under this policy.
    `void` | `setRetentionAction(RetentionAction retentionAction)` Sets the retention action.
    `void` | `setType(ElcFolderType type)` Sets the type of policy tag.
    `void` | `setVisible(boolean isVisible)` Use this setting to determine whether the policy tag is displayed in the list of tags available to the user.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RetentionPolicyTag

          public RetentionPolicyTag()

      Instantiates a new retention policy tag.

  - ### Method Detail

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets name of the policy tag.
      Returns:
        the display name

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

      Sets the policy tag name.
      Parameters:
        `displayName` - the new display name

    - #### getId

          public java.lang.String getId()

      Gets unique identity of the policy.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets unique identity for the policy.
      Parameters:
        `id` - the new id

    - #### getPeriod

          public int getPeriod()

      Gets the number of days after which an item SHOULD expire under this policy. This value is configured by a server administrator. The value MUST be between 0 and 24,855.
      Returns:
        the period

    - #### setPeriod

          public void setPeriod(int period)

      Sets the number of days after which an item SHOULD expire under this policy. This value is configured by a server administrator. The value MUST be between 0 and 24,855.
      Parameters:
        `period` - the new period

    - #### getType

          public ElcFolderType getType()

      Gets the type of policy tag.
      Returns:
        the type

    - #### setType

          public void setType(ElcFolderType type)

      Sets the type of policy tag.
      Parameters:
        `type` - the new type

    - #### getRetentionAction

          public RetentionAction getRetentionAction()

      Gets the retention action.
      Returns:
        the retention action

    - #### setRetentionAction

          public void setRetentionAction(RetentionAction retentionAction)

      Sets the retention action.
      Parameters:
        `retentionAction` - the new retention action

    - #### getDescription

          public java.lang.String getDescription()

      Gets brief description of the policy tag.
      Returns:
        the description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets brief description of the policy tag.
      Parameters:
        `description` - the new description

    - #### isVisible

          public boolean isVisible()

      Use this setting to determine whether the policy tag is displayed in the list of tags available to the user.
      Returns:
        true, if is visible

    - #### setVisible

          public void setVisible(boolean isVisible)

      Use this setting to determine whether the policy tag is displayed in the list of tags available to the user.
      Parameters:
        `isVisible` - the new visible

    - #### isArchive

          public boolean isArchive()

      Checks if is archive.
      Returns:
        true, if is archive

    - #### setArchive

          public void setArchive(boolean isArchive)

      Sets the archive.
      Parameters:
        `isArchive` - the new archive

    - #### isDefaultArchive

          public boolean isDefaultArchive()

      Checks if is default archive.
      Returns:
        true, if is default archive

    - #### setDefaultArchive

          public void setDefaultArchive(boolean isDefaultArchive)

      Sets the default archive.
      Parameters:
        `isDefaultArchive` - the new default archive

    - #### isOptedInto

          public boolean isOptedInto()

      Indicates whether the user voluntarily chose this tag for the mailbox or whether it was applied to the mailbox by the server administrator.
      Returns:
        true, if is opted into

    - #### setOptedInto

          public void setOptedInto(boolean optedInto)

      Indicates whether the user voluntarily chose this tag for the mailbox or whether it was applied to the mailbox by the server administrator.
      Parameters:
        `optedInto` - the new opted into

    - #### getObjectGuid

          public java.lang.String getObjectGuid()

      Gets unique identity for the object.
      Returns:
        the object guid

    - #### setObjectGuid

          public void setObjectGuid(java.lang.String objectGuid)

      Sets unique identity for the object.
      Parameters:
        `objectGuid` - the new object guid

    - #### isMustDisplayDescription

          public boolean isMustDisplayDescription()

      Use this setting to determine whether the user can hide the retention comment.
      Returns:
        true, if is must display description

    - #### setMustDisplayDescription

          public void setMustDisplayDescription(boolean mustDisplayDescription)

      Use this setting to determine whether the user can hide the retention comment.
      Parameters:
        `mustDisplayDescription` - the new must display description

    - #### getContentSettings

          public ContentSettings getContentSettings()

      Gets the settings that control when items expire and the types of items that expire.
      Returns:
        the content settings

    - #### setContentSettings

          public void setContentSettings(ContentSettings contentSettings)

      Sets the settings that control when items expire and the types of items that expire.
      Parameters:
        `contentSettings` - the new content settings